psychopy.org | Reference | Downloads | Github

Experiment not running on the new version of Psychopy; Edit: Builder view not opening

Hi all,

Since I have updated my Psychopy to v3.2.1, my previous experiments have stopped running. This is the error it is showing:

1.9626 WARNING Import Error: No module named ‘psychtoolbox’. Using event module for keyboard component.
5.2771 WARNING User requested fullscreen with size [1024 768], but screen is actually [1440, 900]. Using actual size
Traceback (most recent call last):
File “D:\Psychopy_pilot_test\Pilot_test_demo_lastrun.py”, line 602, in
random.shuffle(study_order)
File “C:\Program Files (x86)\PsychoPy3\lib\random.py”, line 277, in shuffle
x[i], x[j] = x[j], x[i]
TypeError: ‘range’ object does not support item assignment

What is this error that is happening? The experiment was running perfectly fine in the older versions.

Thanks,
Shardul Shankar

Here is a new problem that I am facing now: Now my Psychopy is not opening the builder view with these errors being shown:

line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
File “C:\Program Files (x86)\PsychoPy3\lib\socket.py”, line 586, in readinto
return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\adapters.py”, line 445, in send
timeout=timeout
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\util\retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\packages\six.py”, line 686, in reraise
raise value
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 386, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 306, in _raise_timeout
raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host=‘172.31.2.3’, port=8080): Read timed out. (read timeout=0.5)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files (x86)\PsychoPy3\lib\threading.py”, line 916, in _bootstrap_inner
self.run()
File “C:\Program Files (x86)\PsychoPy3\lib\threading.py”, line 864, in run
self._target(*self._args, **self._kwargs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app\connections\news.py”, line 24, in getNewsItems
resp = requests.get(url, timeout=0.5)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\api.py”, line 72, in get
return request(‘get’, url, params=params, **kwargs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\sessions.py”, line 512, in request
resp = self.send(prep, **send_kwargs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\sessions.py”, line 622, in send
r = adapter.send(request, **kwargs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\requests\adapters.py”, line 526, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPConnectionPool(host=‘172.31.2.3’, port=8080): Read timed out. (read timeout=0.5)

I guess it is one of these days. Any help would be appreciated.

Hi @Shardul_Shankar, the first error you posted is related to differences in how Python 2 and Python 3 shuffle methods work. Was your original experiment written in Python 2 version of PsychoPy?

Hi @dvbridges,

I am not quite sure. I can tell the version in which I created the builder experiment, it was v3.0.0. I think it was Python 3, but I am not sure.

Ok, well it is an issue. If you show me the code you have used, I can see how to fix. The other error suggests a problem sending and receiving information over the internet. @jon, do you know why the timeouts may occur?

Hi @dvbridges,

Ok. I am attaching my experiment for your reference.

Pilot_test_demo.psyexp (152.3 KB)

But at the moment, my worry is about the second issue. I have tried to uninstall it, reinstall it, uninstall it again, install the older version, but somehow, builder view is just not opening.

@Shardul_Shankar, regarding the range error, if you are using Python 3, change you code component use of range to e.g.,:

study_order = list(range(num_study)) 
1 Like

I think the timeout error just means you aren’t managing to connect to the internet. I’m not sure why that’s causing a crash (for me if I disconnect the network that doesn’t happen) but I’ll add an extra clause to check for that into PsychoPy 3.2.2

Hi @jon,

After disconnecting the internet, its still doing the same thing, with these errors:

Traceback (most recent call last):
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app_psychopyApp.py”, line 505, in showBuilder
self.newBuilderFrame()
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app_psychopyApp.py”, line 491, in newBuilderFrame
fileName=fileName, app=self)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app\builder\builder.py”, line 1094, in init
self.fileNew(closeCurrent=False)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app\builder\builder.py”, line 1640, in fileNew
self.exp = experiment.Experiment(prefs=self.app.prefs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\experiment_experiment.py”, line 90, in init
self.settings = settingsComp(parentName=’’, exp=self)
File "C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\experiment\components\settings_init
.py", line 156, in init
+ _versionFilter(availableVersions(), wx.version),
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 186, in versionOptions
for v in availableVersions(local=local)}),
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 271, in availableVersions
return _localVersions(forceCheck)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 201, in _localVersions
env=constants.ENVIRON).decode(‘UTF-8’)
File “C:\Program Files (x86)\PsychoPy3\lib\subprocess.py”, line 336, in check_output
**kwargs).stdout
File “C:\Program Files (x86)\PsychoPy3\lib\subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘git’, ‘tag’]’ returned non-zero exit status 128.
2.3831 WARNING Tried to log in to Pavlovia but no network connection
10.0171 WARNING Couldn’t connect to psychopy.org
Check internet settings (and proxy setting in PsychoPy Preferences.

The problem now is that even the older versions have stopped working, so there is no way for me to open Psychopy in builder mode and create/debug/run any experiment. Even after uninstalling and installing the older version, this error seems to stay. If this persists, this would become a serious problem for my research, as all the data collection mechanisms of mine are dependent on this tool. Without this, my wings are clipped. Help here would be greatly appreciated.

@Shardul_Shankar, please go to:

C:\Users\Your username\AppData\Roaming\PsychoPy3\versions\

Is this folder populated, or is it empty?

Hi @dvbridges,

The folder is empty except for a hidden folder named

.git

Nothing, when not seeing the hidden folders.

Ok, go up one level, so you are in PsychoPy3 folder, and keep the folder open for now. Delete the versions folder, and try to open PsychoPy again.

1 Like

I didn’t actually mean that you should disconnect your internet. I meant that I was doing that as a way to simulate your internet problems. I’ll look into this.

Thank you @dvbridges,

Now the builder mode works, which is great!

Also, the changes you suggested in the code were helpful too. You are an angel!

Thanks for your prompt help! It is wholeheartedly appreciated!!

Thanks @jon!

Fortunately, it helped! Probably it was creating a problem with versions and creating errors.

Anyways thanks for this prompt help! You guys are real heroes! Really appreciated.